Bug 1797 - (int-80493) focus in textarea and pressing backspace in vkb triggers page back
(int-80493)
: focus in textarea and pressing backspace in vkb triggers page back
Status: RESOLVED FIXED
Product: Browser
MicroB engine
: 4.1.2 (4.2008.36-5)
: All Maemo
: Low normal (vote)
: 4.1+
Assigned To: Oleg Romashin
: microb-bugs
: data:text/html,<style>div{min-height:...
:
: 1707
:
  Show dependency tree
 
Reported: 2007-08-12 12:01 UTC by josh
Modified: 2011-09-05 14:18 UTC (History)
5 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description josh (reporter) 2007-08-12 12:01:58 UTC
+++ This bug was initially created as a clone of Bug #1707 +++

When filling a multiline text field (like gmail reply) and using virtual
keyboard BACKSPACE key, browser sometimes issue a back  command in browser. 
This only seems to happen when initially in the field. If I unfocus, then
refocus it does not happen. I have only noticed this with gmail.  I have the
most up to date version of the browser as of Aug. 11, 2007.
Comment 1 timeless 2007-08-13 08:45:36 UTC
oh right, gmail lets you turn off their keybindings. you should try doing that
and see if the problem still happens.
Comment 2 Oleg Romashin nokia 2007-08-13 22:39:23 UTC
Here is the more better testcase:

1) open page with input any field and scrollbars (iGoogle, forum...)
2) Click on text/input area
3) type anything.
4) Move scrollbar to correct position of input area (usually it was happens for
big textarea fields...)..  
  PS: Focus still inside input field, and you can type.
5) Press backspace to delete some elements..

:) - Symbols deleted
:( - browser goes on prevous page
Comment 3 timeless 2007-08-20 17:40:41 UTC
ok. it happens for both <textarea> and <input> the url reproduces it
consistently for me in both cases.
Comment 4 Ryan Abel maemo.org 2008-06-12 10:57:45 UTC
Still happening in Diablo (3.2008.22-8).
Comment 5 Andre Klapper maemo.org 2008-11-25 18:48:01 UTC
Still in 4.2008.36-5.
Comment 6 Andre Klapper maemo.org 2008-11-26 14:19:28 UTC
This should be fixed in internal build version x.2008-46.x

(Note that 2008 is the year and the number after is the week.)

Any public update released with or after this build version will include the
fix.
Please verify that the new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.
Comment 7 Garrett Goebel 2011-06-21 20:32:29 UTC
Resolved, Fixed... but _not_ Released :-(

Any chance of fixed packages ever being release?
Comment 8 Andre Klapper maemo.org 2011-09-05 14:18:08 UTC
(In reply to comment #7)
> Resolved, Fixed... but _not_ Released :-(
> Any chance of fixed packages ever being release?

Unlikely. But only Nokia can answer this, and you won't receive an answer by
Nokia in this community bugtracker.